html,body {
    overflow: scroll;
    overflow-x: hidden;
    background: $bgBody;
    color: $text;
    transition: 0.3s ease;
}
::-webkit-scrollbar {
    width: 0px;
    background: transparent;
}
::-webkit-scrollbar-thumb {
    background: transparent;
}

// Setting row gap default small
.row{
    padding: 0 8px;
    & > [class^="col-"],
    & > [class*=" col-"] {
    padding-right: 8px;
    padding-left: 8px;
    }
}
// Setting row gap default small

.h-65{min-height: 65vh;}

.append-white{
    background: white !important;
    svg{stroke: $text;}
}

.inputRadio{
    height: 38px;
    border:1px solid #CED4DA;
    border-radius: 5px;
    padding-top: 5px;
    padding-left: 30px;
    label{&:hover{cursor: pointer;}}
}

.btn{
    svg{width: 15px;margin: 0;padding: 0;}
    &.btn-sm{
        height: 32px;
    }
}

.btn-primary{background: $primary;&:hover{background: $secondary;}}
.btn-outline-primary{border-color: $primary;color: $primary;
    &:hover{color: $primary !important;background: transparent !important;}
}
.btn-light{
    background: white; color: $text; border: 1px solid $border;
}
.card{
    border-radius: 10px;
    border-color: $border;
    // @extend .shadow-sm ;
    &.cardTransparent{background: transparent;border-color: transparent;
        .card-footer{background: transparent;border-color: transparent;}
    }
    .card-footer{
        background: white;
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 10px;
    }
}
.prepend-white{
    span{background: white;}
    svg{stroke:$text;}
}
#loginRegister{
    display: flex;
    height: 100vh;
    width: 100%;
    justify-content: center;
    align-items: center;
    background: $bgBody url('../img/bgLogin.svg') no-repeat center center;
    background-size: cover;
    .content{
        position: relative;
        .titleLoginRegister{
            display:table;
            position: absolute;
            top: -120px;
            left: 50%;
            transform: translateX(-50%);
        }
    }
}

.mobileLogo{
    padding: 10px;
    @media (min-width:$tablet){  // Tablet Screen
        display: none;
    }
}

#mainLayout{
    display: flex;
    position: relative;
    #sidebarLeft{
        background: white;
        width: 300px;
        height: 100vh;
        position: fixed;
        overflow-y: auto;
        @extend .shadow-sm ;
        z-index: 1001;
        transition: 0.3s ease;
        @media (max-width:$tablet){  // Tablet Screen
            transform: translateX(-300px);
        }

        @media (max-width:$mobileSmall){  // Mobile Small Screen
            width: 85%;
        }

        &.open{
            transform: translateX(0px);
        }

        .content{
            padding: 0 15px 0 15px;
            height: 100%;
            position: relative;
            .documentation{
                background: white;
                position: absolute;
                bottom: 0;
                left: 0;
                width: 300px;
                @media (max-width:$tablet){  // Tablet Screen
                    display: none;
                }
                img{
                    width: 250px;
                    margin: 0 auto 20px auto;
                    display: table;
                }
                &::after{
                    display: table;
                    content: ' ';
                    width: 300px;
                    height: 30px;
                    position: absolute;
                    top: -30px;
                    left: 0;
                    background: -moz-linear-gradient(top,  rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
                    background: -webkit-linear-gradient(top,  rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%);
                    background: linear-gradient(to bottom,  rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%);
                    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=0 );
                                        
                }
            }
        }
    }
    
    #mainContent{
        // background: $bgBody;
        width: 100%;
        min-height: 100vh;
        margin-left: 300px;
        @media (max-width:$tablet){  // Tablet Screen
            margin-left: 0;
        }
        .content{
            padding: 60px 15px 15px 15px;
        }
    }
}


.headNav{
    border-bottom: 1px solid $border;
    height: 50px;
    background: white;
    .logo{
        display: table;
        padding: 8px;
    }
    &.bgBody{background: $bgBody;}

    &.defaultNav{
        position: fixed;
        top: 0;
        left: 0;
        padding-left: 300px;
        width: 100%;
        display: flex;
        justify-content: space-between;
        z-index: 1000;
        & > div{
            padding: 0 15px;
        }
        @media (max-width: $tablet) { // Tablet Screen
            padding-left: 0;
            .searchInput{display: none;}
            .navUser{
                padding-right: 50px;
            }
        }
    }

    .navUser{
        margin-left: 0;
        padding-left: 0;
        list-style: none;
        display: flex;
        li{
            padding: 6px 0;
            a.item{
                background: $itemBlue;
                display: table;
                margin-left: 10px;
                width: auto;
                height: 35px;
                border-radius: 3px;
                padding: 3px 10px;
                color: $primary;
                &:hover{
                    text-decoration: none;
                }
                img{
                    width: 28px;
                    height: 28px;
                    border-radius: 30px;
                    object-fit: cover;
                }
                &.notification{
                    position: relative;
                    span{
                        content: '';
                        display: table;
                        width: 13px;
                        height: 13px;
                        background: $red;
                        position: absolute;
                        top: 5px;
                        right: 10px;
                        border-radius: 20px;
                        border:2px solid $itemBlue;
                    }
                    &:hover{
                        .listNotification{display: block;}
                    }
                    .listNotification{
                        display: none;
                        position: absolute;
                        top: 45px;
                        right: 0;
                        background: white;
                        border-radius: 10px;
                        width: 250px;
                        border: none !important;
                        padding: 10px 15px;
                        z-index: 800 !important;
                        @extend .shadow-sm ;
                        @extend .swing-in-top-fwd ;
                        &::after{
                            content: " ";
                            display: table;
                            background: transparent;
                            width: 100%;
                            height: 20px;
                            position: absolute;
                            top: -20px;
                            left: 0;
                        }
                        ul{
                            // display: none;
                            list-style: none;
                            margin-left: 0;
                            padding-left: 0;
                            .item{
                                border-bottom: 1px solid $border;
                                display: flex;
                                justify-content: space-between;
                                position: relative;
                                color: $text;
                                &:last-child{
                                    border-bottom: 0px;
                                }
                                &:hover{
                                    background: $itemBlue;
                                }
                            }
                        }
                    }
                }

                &.user,&.darkmode{
                    @media (max-width:$mobile){  // Mobile Screen
                        display: none;
                    }
                }
            }
        }
    }
}

.info{
    border: 1px solid $border;
    color: $text;
    display: table;
    border-radius: 5px;
    padding: 10px 15px;
    &.primary{
        border-color: $primary;
        color: $primary;
    }
}

.navDesktop{
    margin-left: 0;
    padding-left: 0;
    list-style: none;
    li{
        margin: 5px 0;
        a{
            display: block;
            background: white;
            padding: 10px;
            border-radius: 5px;
            color: $text;
            svg{stroke: $text; margin-right: 10px;}
            transition: 0.2s ease;
            display: flex;
            &:hover{
                text-decoration: none;
                background: $hoverActive;
                color: $primary;
                svg{stroke: $primary;}
            }
            &.active{
                background: $hoverActive;
                color: $primary;
                svg{stroke: $primary;}
            }
        }
    }
}

.searchInput{
    position: relative;
    min-width: 300px;
    margin-top: 4px;
    &::after{
        content: ' ' ;
        display: table ;
        width: 36px ;
        height: 36px ;
        background: white url("../img/search.svg") no-repeat center center;
        position: absolute ;
        top: 1px ;
        right: 1px ;
        z-index: 10 ;
        border-radius: 0 5px 5px 0;
    }
}

.summaryBox{
    .item{
        @media (max-width:$tablet){  // Tablet Screen
            margin-bottom: 20px;
        }
        .box{
            background: white;
            display: block;
            padding: 15px;
            height: 120px;
            border-radius: 10px;
            @extend .shadow-sm;
            display: flex;
            justify-content: center;
            & > div{
                justify-content: center;
                align-items: center;
                align-self: center;
                align-content: center;
                &:nth-child(1){
                    h4{
                        margin: 0 20px 0 0;
                        font-size: 4em;
                        color: $text;
                        @media (max-width:$tablet){  // Tablet Screen
                            font-size: 7vw;
                        }
                        @media (max-width:$mobile){  // Mobile Screen
                            font-size: 10vw;
                        }
                    }
                }
                &:nth-child(2){
                    label{
                        font-size: 23px;
                        line-height: 28px;
                        padding-top: 10px;
                        color: $text;
                        @media (max-width:$tablet){  // Tablet Screen
                            font-size: 16px;
                            line-height: 22px;
                        }
                        span{
                            font-size: 16px;
                            color: $text;
                            opacity: 80%;
                            display: block;
                            @media (max-width:$tablet){  // Tablet Screen
                                font-size: 14px;
                            }
                        }
                    }
                }
            }
        }
        &:nth-child(1){
            .box{
                background: $lightblue url("../img/pattern1.svg") no-repeat;
                background-position: right 25px;
                @media (max-width:$tablet){  // Tablet Screen
                    background-size: 5vw;
                }
                @media (max-width:$mobile){  // Mobile Screen
                    background-size: 16vw;
                }
                color: white ;
                & > div{
                    &:nth-child(1){
                        h4{color: white;}
                    }
                    &:nth-child(2){
                        label{
                            color: white;
                            span{
                                color: white;
                            }
                        }
                    }
                }
            }
        }
        &:nth-child(2){
            .box{
                background:white url("../img/pattern2.svg") no-repeat;
                background-position: right 15px;
                @media (max-width:$tablet){  // Tablet Screen
                    background-size: 5vw;
                }
                @media (max-width:$mobile){  // Mobile Screen
                    background-size: 16vw;
                }
            }
        }
        &:nth-child(3){
            .box{
                background:white url("../img/pattern3.svg") no-repeat;
                background-position: right 25px bottom;
                @media (max-width:$tablet){  // Tablet Screen
                    background-size: 5vw;
                }
                @media (max-width:$mobile){  // Mobile Screen
                    background-size: 20vw;
                }
            }
        }
        
    }
}

// Component
.component{
    .title{
        display: flex;
        justify-content: space-between;
        a{
            color: $text;
            &:hover{
                text-decoration: none;
            }
        }
        @media(max-width:$mobile){
            flex-direction: column;
            .searchInput{margin-top: 15px !important;width: 100% !important;min-width: 200px;}
        }
    }
}
// Component

.thumbnailSmall{
    width: 30px;
    height: 30px;
    object-fit: cover;
    border: 1px solid $border;
    border-radius: 5px;
    padding: 2px;
}

.heightDefaultComponent{
    min-height: 635px;
}

.h-90-vh{
    min-height: 90vh;
}

// table
.table{
    color: $text;
    @media (max-width:$mobile){
        font-size: 14px;
    }
    thead{
        tr{
            th{
                border: 0;
                font-weight: 500;
            }
        }
    }
    &.table-striped{
        tbody{
            tr{
                &:nth-child(odd){
                    background: $tableStriped;
                }
            }
        }
    }
}
// table

// listClients
.listClient{
    .item{
        height: 150px;
        border-radius: 10px;
        background: white;
        justify-content: center;
        align-items: center;
        @extend .shadow-sm ;
        img{
            display: table;
            width: 100px;
            height: auto;
        }
    }
}
// listClients

// Title & Breadcrumb
.titleBreadcrumb{
    display: flex;
    margin: 0 0 15px 0;
    @media(max-width:$mobile){
        flex-direction: column;
    }
    & > div{
        &:first-child{
            padding-right: 10px;
            margin-right: 10px;
            border-right: 1px solid #d6d6d6;
            @media(max-width:$mobile){border: 0;}
        }
    }
    h5{
        margin: 0;
    }
    ul{
        margin-left: 0;
        margin-bottom: 0;
        padding-left: 0;
        list-style: none;
        display: flex;
        li{
            a{
                display: table;
                color: $text;
            }
            position: relative;
            margin-right: 20px;
            &::after{
                content: '\00BB';
                display: table;
                position: absolute;
                top: 0;
                right: -15px;
            }
            &:last-child{
                &::after{
                    display: none;
                }
            }
        }
    }
}
// Title & Breadcrumb


.open-button {
	width: 30px;
	height: 30px;
	transform: rotate(0deg);
	transition: .5s ease-in-out;
	cursor: pointer;
	border-bottom: 0;
	z-index: 9999;
    border-bottom: 0;
    position: fixed;
    top: 12px;
    right: 15px;
    display: table;
  
  @media (min-width: $tablet) { // Tablet Screen
    display: none;
  }

	&:hover {
		border-bottom: 0;
	}
}

.open-button span {
	display: block;
	position: absolute;
	height: 2px;
	width: 100%;
	background: $text;
	border-radius: 2px;
	opacity: 1;
	left: 0;
	transform: rotate(0deg);
	transition: .25s ease-in-out;
}

.open-button.open span {
  background: $text;
}

.open-button span:nth-child(1) {
	top: 0px;
	transform-origin: left center;
}

.open-button span:nth-child(2) {
	top: 10px;
	transform-origin: left center;
}

.open-button span:nth-child(3) {
	top: 20px;
	transform-origin: left center;
}

.open-button.open span:nth-child(1) {
	transform: rotate(45deg);
	top: -3px;
	left: 8px;
}

.open-button.open span:nth-child(2) {
	width: 0%;
	opacity: 0;
}

.open-button.open span:nth-child(3) {
	transform: rotate(-45deg);
	top: 19px;
	left: 8px;
}

.swing-in-top-fwd {
	-webkit-animation: swing-in-top-fwd 0.5s cubic-bezier(0.175, 0.885, 0.320, 1.275) both;
	        animation: swing-in-top-fwd 0.5s cubic-bezier(0.175, 0.885, 0.320, 1.275) both;
}
 @-webkit-keyframes swing-in-top-fwd {
    0% {
      -webkit-transform: rotateX(-100deg);
              transform: rotateX(-100deg);
      -webkit-transform-origin: top;
              transform-origin: top;
      opacity: 0;
    }
    100% {
      -webkit-transform: rotateX(0deg);
              transform: rotateX(0deg);
      -webkit-transform-origin: top;
              transform-origin: top;
      opacity: 1;
    }
  }
  @keyframes swing-in-top-fwd {
    0% {
      -webkit-transform: rotateX(-100deg);
              transform: rotateX(-100deg);
      -webkit-transform-origin: top;
              transform-origin: top;
      opacity: 0;
    }
    100% {
      -webkit-transform: rotateX(0deg);
              transform: rotateX(0deg);
      -webkit-transform-origin: top;
              transform-origin: top;
      opacity: 1;
    }
  }
  

// Dropdown button
.dropdown{
    .btn{
        height: 34px;
    }
    .dropdown-menu{
        border-color: $border;
        @extend .shadow-sm;
    }
}
// Dropdown button

// Layout form event
.layoutFormEvent{
    min-height: 635px;
    & > div{
        &:nth-child(2){
            border-left: 1px solid $border;
        }
    }
}
// Layout form event

// List Template
.listTemplate{
    .item{
        position: relative;
        @extend .shadow-sm ;
        display: table;
        border-radius: 10px;
        margin-bottom: 20px;
        width: 100%;
        [type=checkbox] {
            position: absolute;
            opacity: 0;
            width: 0;
            height: 0;
          }
          
          /* IMAGE STYLES */
          [type=checkbox] + img {
            cursor: pointer;
            border: 3px solid transparent;
            width: 100%;
            border-radius: 10px;
            position: relative;
            &:hover{cursor: pointer;}
          }
          
          /* CHECKED STYLES */
          [type=checkbox]:checked + img {
            border: 3px solid $primary;
            border-radius: 12px;
          }

          .setting{
              background: rgba(255, 255, 255, 0.9);
              position: absolute;
              bottom: 0;
              left: 0;
              display: flex;
              width: 100%;
              padding: 8px 10px;
              border-bottom-left-radius: 10px;
              border-bottom-right-radius: 10px;
              a{
                  color: $text;
                  display: block;
                  &:hover{
                      color: $primary;
                      text-decoration: none;
                  }
              }
              svg{
                  width: 15px;
                  margin-right: 5px;
              }
          }
    }
}
// List Template

.colorLists{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    .item{
        // position: relative;
        width: 25%;
        min-height: 50px;
        padding: 0 5px !important;
        border: 0px;
        // background: orange;
        input { 
            visibility: hidden;
            position: absolute;
        }
        label{
            position: relative;
            background: white;
            content: '';
            display: table !important;
            width: 100%;
            height: 100%;
            margin: 0 !important;
            border-radius: 5px;
            border: 4px solid $bgBody;
            // margin-bottom: 10px;
            
            &.primary{background: $primary;}
            &.yellow{background: $yellow;}
            &.pink{background: $pink;}
            &.lightBlue{background: $lightblue;}
            &.black{background: #000;}
            &.secondaryBlack{background: $text}
            &.red{background: $red;}
        }
          
        input:checked + label {
            border: 4px solid $primary;
            border-radius: 5px;
        }

    }
      
}

// Costume input file
.uploadImage{
    position: relative;
    label{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translateY(-50%) translateX(-50%);
        text-align: center;
        color: $text;
        svg{stroke: $text;}
        opacity: 0.7;
        &:hover{cursor: pointer;}
        span{
            display: block;
            font-size: 14px;
        }
    }
}
.inputImageOrFile {
  color: transparent;
  background: white;
  width: 100%;
  min-height: 100px !important;
  padding: 0;
  overflow: hidden;
  border-radius: 10px;
  border: 1px solid $border;
  &:hover{cursor: pointer;}
}


.inputImageOrFile::-webkit-file-upload-button {
  visibility: hidden;
}
.inputImageOrFile:hover::before {
  border-color: black;
}
.inputImageOrFile:active {
  outline: 0;
}
.inputImageOrFile:active::before {
  background: -webkit-linear-gradient(top, #e3e3e3, #f9f9f9); 
}

// Costume input file

// Switch toggle
.switchToggle {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
    input {
        opacity: 0;
        width: 0;
        height: 0;
    }

    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #CED4DA;
        transition: .4s;
    }

    .slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        transition: .4s;
    }

    input:checked + .slider {
        background-color: $primary;
    }

    input:focus + .slider {
        box-shadow: 0 0 0 4px $lightblue;
        outline: none;
    }

    input:checked + .slider:before {
        transform: translateX(26px);
    }

    .slider.round {
        border-radius: 34px;
    }

    .slider.round:before {
        border-radius: 50%;
    }
}
  
  
// Switch toggle

// List switch box
.listSwitchBox{
    .item{
        display: flex;
        background: white;
        border-radius: 10px;
        border: 1px solid $border;
        @media(max-width:$mobile){
            display: table;
            // flex-direction: column;
            .buttonSwitch{
                padding: 0 20px;
                display: table !important;
            }
        }
        .contentItem{
            padding: 20px;
            h5{
                font-size: 18px;
            }
            p{opacity: 0.8;}
        }
        .buttonSwitch{
            padding: 0 20px;
            display: flex;
            justify-content: center;
            align-content: center;
            align-items: center;
        }
    }
}
// List switch box

// Setting CKEditor
.ck-editor__editable_inline {
    min-height: 300px;
}
// Setting CKEditor

// Report
.reportEvent{
    .summary{
        height: 150px;
        overflow-x: auto;
        display: flex;
        justify-content: flex-end;
        .contentBox{
            padding: 20px;
            svg{
                display: block;
            }
        }
        &.primary{
            color: white;
            background: $primary;
            svg{stroke: white;}
        }
    }
}
// Report

// Table sm
.table{
    &.table-sm{
        font-size: 14px;
        tbody{
            tr{
                td{padding: 15px 0;}
            }
        }
    }
}
// Table sm

// Select Option 2
.selectOption2{
    min-width: 200px;
}

.select2-container--default .select2-selection--single {
    background-color: #fff;
    border: 1px solid $border !important;
    border-radius: 5px !important;
}

.select2-selection__rendered{
    color: $text;
    line-height: 35px !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 36px !important;
    position: absolute;
    top: 1px;
    right: 1px;
    width: 20px;
}
.select2-container .select2-selection--single {
    box-sizing: border-box;
    cursor: pointer;
    display: block;
    height: 38px !important;
    user-select: none;
    -webkit-user-select: none;
}

.select2-container--default .select2-selection--single .select2-selection__clear {
    cursor: pointer;
    float: right;
    font-weight: bold;
    height: 34px !important;
    margin-right: 20px;
    padding-right: 0px;
    color: rgb(194, 194, 194);
}

// Select Option 2


// My Profile
.myProfile{
    .nav-tabs{
        border-color: $border;
        padding: 5px 25px 0 25px;
        li{
            a{
                border-bottom: 3px solid transparent;
                border-top: 0;
                border-left: 0;
                border-right: 0;
                color: $text;
                padding: 10px;
                &.active{
                    border-bottom: 3px solid $primary;
                    border-top: 0;
                    border-left: 0;
                    border-right: 0;
                    color: $primary;
                }
            }
        }
    }
}
// My Profile

// Profile content
.profileContent{
    .boxProfile{
        text-align: center;
        img{
            width: 150px;
            height: 150px;
            object-fit: cover;
            border-radius: 50%;
            border: 10px solid $bgBody;
            margin: 20px 0;
        }
        h3{
            color: $primary;
        }
        a{margin: auto;}
    }
}
// Profile content

.formLabel{
    padding-top: 18px;
    &::before {
        content: attr(data-tooltip);
        position: absolute;
        top: -3px;
        z-index: 5;
        font-size: 12px;
    }
    
    &:hover::before {
    display: inline-block;
    }
}


// Company Profile
.profileCompany{
    padding: 0;
    .headerCard{
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
        position: relative;
        .headerImg{
            width: 100%;
            height: 250px;
            object-fit: cover;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
        }
        .logoCompany{
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100px;
            height: 100px;
            border-radius: 10px;
            padding: 15px;
            background: white;
            @extend .shadow-sm ;
            img{
                border-radius: 10px;
                max-width: 100%;
                max-height: 100%;
                object-fit: cover;
            }
        }
    }

    .contentCompany{
        padding: 20px;
        width: 100%;
        margin-top: -150px;
        z-index: 100;
        @media(max-width:760px){
            width: 100%;
            margin: -100px auto 0 auto;
        }
        @media(max-width:$mobile){
            width: 100%;
            margin: -100px auto 0 auto;
        }
        .boxProfileCompany{
            min-height: 75vh;
            .logoCompany{
                width: 150px;
                height: 150px;
                padding: 10px;
                margin-top: -75px;
                margin-left: auto;
                margin-right: auto;
                border-radius: 10px;
                background: white;
                display: flex;
                justify-content: center;
                @extend .shadow-sm ;
                img{
                    display: table;
                    margin: auto;
                    width: 100px;
                    height: 100px;
                    object-fit: cover;
                }
            }
        }
        .aboutCompany{
            margin-top: 150px;
            @media(max-width:760px){
                margin-top: 50px;
            }
            @media(max-width:$mobile){
                margin-top: 50px;
            }
            h1{
                font-size: 28px;
                font-weight: normal;
            }
        }
    }
}
// Company Profile

// List Icon label
.listIconLabel{
    list-style: none;
    margin: 0;
    padding: 0 20px;
    li{
        // border: 1px solid $border;
        display: flex;
        padding: 15px 0;
        svg{margin-right: 10px;stroke: $primary;}
    }
}
// List Icon label